String8 os_g_key_string_table[92] =
{
  str8_lit_comp("Null"),
  str8_lit_comp("Escape"),
  str8_lit_comp("F1"),
  str8_lit_comp("F2"),
  str8_lit_comp("F3"),
  str8_lit_comp("F4"),
  str8_lit_comp("F5"),
  str8_lit_comp("F6"),
  str8_lit_comp("F7"),
  str8_lit_comp("F8"),
  str8_lit_comp("F9"),
  str8_lit_comp("F10"),
  str8_lit_comp("F11"),
  str8_lit_comp("F12"),
  str8_lit_comp("F13"),
  str8_lit_comp("F14"),
  str8_lit_comp("F15"),
  str8_lit_comp("F16"),
  str8_lit_comp("F17"),
  str8_lit_comp("F18"),
  str8_lit_comp("F19"),
  str8_lit_comp("F20"),
  str8_lit_comp("F21"),
  str8_lit_comp("F22"),
  str8_lit_comp("F23"),
  str8_lit_comp("F24"),
  str8_lit_comp("Grave Accent"),
  str8_lit_comp("0"),
  str8_lit_comp("1"),
  str8_lit_comp("2"),
  str8_lit_comp("3"),
  str8_lit_comp("4"),
  str8_lit_comp("5"),
  str8_lit_comp("6"),
  str8_lit_comp("7"),
  str8_lit_comp("8"),
  str8_lit_comp("9"),
  str8_lit_comp("Minus"),
  str8_lit_comp("Equal"),
  str8_lit_comp("Backspace"),
  str8_lit_comp("Delete"),
  str8_lit_comp("Tab"),
  str8_lit_comp("A"),
  str8_lit_comp("B"),
  str8_lit_comp("C"),
  str8_lit_comp("D"),
  str8_lit_comp("E"),
  str8_lit_comp("F"),
  str8_lit_comp("G"),
  str8_lit_comp("H"),
  str8_lit_comp("I"),
  str8_lit_comp("J"),
  str8_lit_comp("K"),
  str8_lit_comp("L"),
  str8_lit_comp("M"),
  str8_lit_comp("N"),
  str8_lit_comp("O"),
  str8_lit_comp("P"),
  str8_lit_comp("Q"),
  str8_lit_comp("R"),
  str8_lit_comp("S"),
  str8_lit_comp("T"),
  str8_lit_comp("U"),
  str8_lit_comp("V"),
  str8_lit_comp("W"),
  str8_lit_comp("X"),
  str8_lit_comp("Y"),
  str8_lit_comp("Z"),
  str8_lit_comp("Space"),
  str8_lit_comp("Enter"),
  str8_lit_comp("Ctrl"),
  str8_lit_comp("Shift"),
  str8_lit_comp("Alt"),
  str8_lit_comp("Up"),
  str8_lit_comp("Left"),
  str8_lit_comp("Down"),
  str8_lit_comp("Right"),
  str8_lit_comp("Page Up"),
  str8_lit_comp("Page Down"),
  str8_lit_comp("Home"),
  str8_lit_comp("End"),
  str8_lit_comp("Forward Slash"),
  str8_lit_comp("Period"),
  str8_lit_comp("Comma"),
  str8_lit_comp("Quote"),
  str8_lit_comp("Left Bracket"),
  str8_lit_comp("Right Bracket"),
  str8_lit_comp("Insert"),
  str8_lit_comp("Left Mouse Button"),
  str8_lit_comp("Middle Mouse Button"),
  str8_lit_comp("Right Mouse Button"),
  str8_lit_comp("Semicolon"),
};
